Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.page
Class BookPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.window.WindowPresentationContext
                        |
                        +--com.bea.netuix.servlets.controls.page.PagePresentationContext
                              |
                              +--com.bea.netuix.servlets.controls.page.BookPresentationContext

All Implemented Interfaces:
  Serializable

public class BookPresentationContext
extends PagePresentationContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `BookPresentationContext(Book book)`

Method Summary
`String` | `getActivePage()` Get the currently active page in the book.
`static BookPresentationContext` | `getBookPresentationContext(HttpServletRequest request)`
`String` | `getCurrentPage()` Get the currently active page in the book.
`String` | `getDefaultPage()` The default page specified for the book.
`List` | `getEntitledPagePresentationContexts()` Deprecated. use getPagePresentationContext()
`String` | `getLabel()`
`int` | `getPageCount()` Return the number of pages contained in this book.
`PagePresentationContext` | `getPagePresentationContext(String instanceId)` Return a page from the list of pages for this book.
`PagePresentationContext` | `getPagePresentationContextByUniqueId(String uniqueId)` Return a page from the list of pages for this book.
`PagePresentationContext` | `getPagePresentationContextByUnqiueId(String uniqueId)` Deprecated. misspelled method, use getPagePresentationContextByUniqueId(String uniqueId)
`ArrayList` | `getPagePresentationContexts()` Return the collection of PagePresentationContexts (BookPresentationContext or PagePresentationContext) for this book.
`boolean` | `isContained()` Returns true if the Book represented by this presentation context is "contained", that is if the the Book's next Book, Window, or Page ancestor is a Book or Window then it is contained and this method will return true.
`boolean` | `isDesktopBook()` Returns true if the Book represented by this presentation context is the desktop Book anotherwords is it the top most Book in the control tree.
`boolean` | `isLikePage()` Indicates whether or not this book is a page in another book.

Methods inherited from class com.bea.netuix.servlets.controls.page.PagePresentationContext
`getActiveImage, getInactiveImage, getPagePresentationContext, getRolloverImage, getWindowPresentationContexts, isActive, isHidden, isVisible`

Methods inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`getContentPresentationClass, getContentPresentationContextChildren, getContentPresentationStyle, getDefinitionId, getDefinitionLabel, getInstanceId, getOrientation, getParentPagePresentationContext, getTitle, getWindowMode, getWindowPresentationContext, getWindowState, isCapable, isPacked`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookPresentationContext

    protected BookPresentationContext(Book book)

Method Detail

### getLabel

    public String getLabel()

  Overrides:
    `getLabel` in class `PagePresentationContext`

### getDefaultPage

    public String getDefaultPage()

  The default page specified for the book. This will be the label of the page.

  Returns:

### getCurrentPage

    public String getCurrentPage()

  Get the currently active page in the book. This will be the label of the page.

  Returns:

### getActivePage

    public String getActivePage()

  Get the currently active page in the book. This will be the label of the page.

  Returns:

### getPagePresentationContexts

    public ArrayList getPagePresentationContexts()

  Return the collection of PagePresentationContexts (BookPresentationContext or PagePresentationContext) for this book. If no pages exist returns an empty list.

  Returns:
    Array of `PagePresentationContext` objects

### getEntitledPagePresentationContexts

    public List getEntitledPagePresentationContexts()

  Deprecated. use getPagePresentationContext()

  Return the collection of entitled PagePresentationContexts (BookPresentationContext or PagePresentationContext) for this book. If no pages exist returns an empty list.

  Returns:
    Array of `PagePresentationContext/BookPresentatioContext` objects

### getPageCount

    public int getPageCount()

  Return the number of pages contained in this book.

### isDesktopBook

    public boolean isDesktopBook()

  Returns true if the Book represented by this presentation context is the desktop Book anotherwords is it the top most Book in the control tree.

### isContained

    public boolean isContained()

  Returns true if the Book represented by this presentation context is "contained", that is if the the Book's next Book, Window, or Page ancestor is a Book or Window then it is contained and this method will return true.

### isLikePage

    public boolean isLikePage()

  Indicates whether or not this book is a page in another book.

### getPagePresentationContext

    public PagePresentationContext getPagePresentationContext(String instanceId)

  Return a page from the list of pages for this book. If the page does not exist we return null

### getPagePresentationContextByUnqiueId

    public PagePresentationContext getPagePresentationContextByUnqiueId(String uniqueId)

  Deprecated. misspelled method, use getPagePresentationContextByUniqueId(String uniqueId)

  Return a page from the list of pages for this book. If the page does not exist we return null

### getPagePresentationContextByUniqueId

    public PagePresentationContext getPagePresentationContextByUniqueId(String uniqueId)

  Return a page from the list of pages for this book. If the page does not exist we return null

### getBookPresentationContext

    public static BookPresentationContext getBookPresentationContext(HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved